Subject: Re: [PATCH v6] RO/NX protection for loadable kernel modules

From: Siarhei Liakh <[email-masked]>
Date: Tue, 22 Sep 2009 11:49:55 -0400

> Hi Siarhei,
>  I tried out this patch on 2.6.31, and got the following trace during bootup..
>
> ------------[ cut here ]------------
> WARNING: at kernel/trace/ftrace.c:1003 ftrace_bug+0x198/0x27e() (Not tainted)
> Hardware name: VGN-Z540N
...
> ---[ end trace 95b33ebf87286ae6 ]---
> ftrace faulted on writing [<ffffffffa0000193>] video_output_register+0x11/0x10a [output]
>
>
> I guess ftrace is trying to NOP out something in the modules which
> are marked read-only ?

Entirely possible. I will review ftrace and make sure the patch
accounts for this.

Thank you.
--
To unsubscribe from this list: send the line "unsubscribe linux-security-module" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html